From 78b5b48ea4270d6b0980fbce63cc4a76db7536c1 Mon Sep 17 00:00:00 2001
From: sherlockcpp <sherlockcpp@foxmail.com>
Date: Thu, 8 Oct 2020 21:11:48 +0800
Subject: [PATCH] Remove some unnecessary path

---
 src/backend/replication/logical/reorderbuffer.c | 2 +-
 src/backend/utils/init/postinit.c               | 7 ++-----
 src/interfaces/ecpg/compatlib/informix.c        | 2 +-
 3 files changed, 4 insertions(+), 7 deletions(-)

diff --git a/src/backend/replication/logical/reorderbuffer.c b/src/backend/replication/logical/reorderbuffer.c
index 1975d62..d27f39d 100644
--- a/src/backend/replication/logical/reorderbuffer.c
+++ b/src/backend/replication/logical/reorderbuffer.c
@@ -4068,7 +4068,7 @@ ReorderBufferToastAppendChunk(ReorderBuffer *rb, ReorderBufferTXN *txn,
 			elog(ERROR, "got sequence entry %d for toast chunk %u instead of seq 0",
 				 chunk_seq, chunk_id);
 	}
-	else if (found && chunk_seq != ent->last_chunk_seq + 1)
+	else if (chunk_seq != ent->last_chunk_seq + 1)
 		elog(ERROR, "got sequence entry %d for toast chunk %u instead of seq %d",
 			 chunk_seq, chunk_id, ent->last_chunk_seq + 1);
 
diff --git a/src/backend/utils/init/postinit.c b/src/backend/utils/init/postinit.c
index d4ab4c7..a6b1cf2 100644
--- a/src/backend/utils/init/postinit.c
+++ b/src/backend/utils/init/postinit.c
@@ -924,11 +924,8 @@ InitPostgres(const char *in_dbname, Oid dboid, const char *username,
 		 * if we are bound to a specific database.  We do need to close the
 		 * transaction we started before returning.
 		 */
-		if (!bootstrap)
-		{
-			pgstat_bestart();
-			CommitTransactionCommand();
-		}
+		pgstat_bestart();
+		CommitTransactionCommand();
 		return;
 	}
 
diff --git a/src/interfaces/ecpg/compatlib/informix.c b/src/interfaces/ecpg/compatlib/informix.c
index 0bca383..293af0c 100644
--- a/src/interfaces/ecpg/compatlib/informix.c
+++ b/src/interfaces/ecpg/compatlib/informix.c
@@ -944,7 +944,7 @@ rupshift(char *str)
 int
 byleng(char *str, int len)
 {
-	for (len--; str[len] && str[len] == ' '; len--);
+	for (len--; str[len] == ' '; len--);
 	return (len + 1);
 }
 
-- 
1.8.3.1

